> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get maintenance windowlogs

> Get maintenance window logs



## OpenAPI

````yaml /schema.json get /maintenance_window/logs
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /maintenance_window/logs:
    get:
      tags:
        - MaintenanceWindow
      description: Get maintenance window logs
      operationId: getMaintenanceWindowLogs
      parameters:
        - name: filter
          in: query
          description: Apply search criteria.
          required: false
          schema:
            type: string
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MaintenanceWindowLogListResult'
        default:
          description: Unexpected Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    MaintenanceWindowLogListResult:
      type: object
      properties:
        metadata:
          $ref: '#/components/schemas/ActionMetaData'
        results:
          $ref: '#/components/schemas/MaintenanceWindowLogList'
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string
    ActionMetaData:
      type: object
      properties:
        totalCount:
          type: integer
          format: int32
          description: Total count of items that match the criteria.
    MaintenanceWindowLogList:
      type: array
      items:
        $ref: '#/components/schemas/MaintenanceWindowLog'
    MaintenanceWindowLog:
      type: object
      properties:
        identifier:
          type: string
          title: Name
          description: Identifier of the maintenance window
        dateStart:
          type: string
          title: Started at
          format: date-time
          description: Start date of the maintenance window
        dateEnd:
          type: string
          title: End at
          format: date-time
          description: End date of the maintenance window
        timezone:
          type: string
          title: Timezone
          description: Timezone of the maintenance window
        createdAt:
          type: string
          title: Created at
          format: date-time
          description: Creation date of the log record
      required:
        - identifier
        - dateStart
        - dateEnd
        - timezone
        - createdAt

````